local use_google = require("utils").use_google

return {
	{
		"yetone/avante.nvim",
		build = "make",
		enable = true,
		branch = "working",
		dependencies = {
			"nvim-treesitter/nvim-treesitter",
			"stevearc/dressing.nvim",
			"nvim-lua/plenary.nvim",
			"MunifTanjim/nui.nvim",
			-- Add vintharas/avante-goose.nvim as a dependecy to avante.nvim
			-- That'll ensure that you'll load avante-goose when you load avante.
			{
				"vintharas/avante-goose.nvim",
				url = "sso://user/vintharas/avante-goose.nvim",
				cond = use_google(),
				opts = {
					model = "gemini-for-google-2.5-pro", -- Select model from go/goose-models.
				},
			},
		},
		opts = {
			provider = "goose", -- Select goose as provider
			vendors = {}, -- Makes sure there's a vendors table
		},
		config = function(_, opts)
			-- Load provider from the plugin
			opts.vendors["goose"] = require("avante-goose").getProvider()
			require("avante").setup(opts)
		end,
	},
}
